Subject: Re: 2.6.18-mm2 boot failure on x86-64

From: Vivek Goyal <[email-masked]>
Date: Thu, 5 Oct 2006 14:52:17 -0400

On Thu, Oct 05, 2006 at 08:27:02PM +0200, Andi Kleen wrote:
> On Thursday 05 October 2006 19:57, Steve Fox wrote:
> > On Thu, 2006-10-05 at 17:40 +0200, Andi Kleen wrote:
> > 
> > > Please don't snip the Code: line. It is fairly important.
> > 
> > Sorry about that. The remote console I was using appears to overwrite
> > some text after I force the reboot. Here's a clean one.
> > 
> > global ffffffffffffffff
> 
> Ok that definitely shouldn't be in there.
> 
> I guess we need to track when it gets corrupted. Can you send the full
> boot log with this patch applied?
> 

Just recalled one more observation about the problem when keith had
reported it last. If I just move .bss before .data_nosave instead
of it being at the end, keith's problem had disappeared.

Thanks
Vivek